Create new version of agent
curl --request POST \
--url https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"agent_type": "voice",
"agent_name": "test-agiii",
"provider": "vapi",
"api_key": "<api_key>",
"assistant_id": "<assistant_id>",
"description": "<description>",
"language": "en",
"knowledge_base": null,
"contact_number": "<contact_number>",
"inbound": true,
"commit_message": "<commit_message>",
"observability_enabled": true
}
'import requests
url = "https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/"
payload = {
"agent_type": "voice",
"agent_name": "test-agiii",
"provider": "vapi",
"api_key": "<api_key>",
"assistant_id": "<assistant_id>",
"description": "<description>",
"language": "en",
"knowledge_base": None,
"contact_number": "<contact_number>",
"inbound": True,
"commit_message": "<commit_message>",
"observability_enabled": True
}
headers = {
"X-Api-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Api-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
agent_type: 'voice',
agent_name: 'test-agiii',
provider: 'vapi',
api_key: '<api_key>',
assistant_id: '<assistant_id>',
description: '<description>',
language: 'en',
knowledge_base: null,
contact_number: '<contact_number>',
inbound: true,
commit_message: '<commit_message>',
observability_enabled: true
})
};
fetch('https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Agent version created successfully",
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"version_name": "<string>",
"version_name_display": "<string>",
"status": "<string>",
"status_display": "<string>",
"score": 123,
"test_count": 123,
"pass_rate": 123,
"description": "<string>",
"commit_message": "<string>",
"release_notes": "<string>",
"agent_definition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configuration_snapshot": {},
"is_active": true,
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Agent Versions
Create new version of agent
Create a new version of an existing agent definition by providing updated agent properties and a commit message.
POST
/
simulate
/
agent-definitions
/
{agent_id}
/
versions
/
create
/
Create new version of agent
curl --request POST \
--url https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"agent_type": "voice",
"agent_name": "test-agiii",
"provider": "vapi",
"api_key": "<api_key>",
"assistant_id": "<assistant_id>",
"description": "<description>",
"language": "en",
"knowledge_base": null,
"contact_number": "<contact_number>",
"inbound": true,
"commit_message": "<commit_message>",
"observability_enabled": true
}
'import requests
url = "https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/"
payload = {
"agent_type": "voice",
"agent_name": "test-agiii",
"provider": "vapi",
"api_key": "<api_key>",
"assistant_id": "<assistant_id>",
"description": "<description>",
"language": "en",
"knowledge_base": None,
"contact_number": "<contact_number>",
"inbound": True,
"commit_message": "<commit_message>",
"observability_enabled": True
}
headers = {
"X-Api-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Api-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
agent_type: 'voice',
agent_name: 'test-agiii',
provider: 'vapi',
api_key: '<api_key>',
assistant_id: '<assistant_id>',
description: '<description>',
language: 'en',
knowledge_base: null,
contact_number: '<contact_number>',
inbound: true,
commit_message: '<commit_message>',
observability_enabled: true
})
};
fetch('https://api.futureagi.com/simulate/agent-definitions/{agent_id}/versions/create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Agent version created successfully",
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"version_name": "<string>",
"version_name_display": "<string>",
"status": "<string>",
"status_display": "<string>",
"score": 123,
"test_count": 123,
"pass_rate": 123,
"description": "<string>",
"commit_message": "<string>",
"release_notes": "<string>",
"agent_definition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configuration_snapshot": {},
"is_active": true,
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Path Parameters
A UUID string identifying the agent definition.
Body
application/json
Type of the agent.
Available options:
voice, text Name of the agent.
Provider for the agent (e.g., vapi, retell).
API key for the agent provider.
External identifier for the assistant.
New description for the agent.
Language of the agent (ISO 639-1 code). For example, en for English.
ID of the knowledge base to associate with the agent.
Contact number for the agent including country code. For example, +1xxxxxxxxxx for USA, +91xxxxxxxxxx for India, etc.
Specifies if the agent handles inbound communication.
Commit message for this new version.
Enable or disable observability for the agent.
Was this page helpful?
⌘I